<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/divers.php");
	
class Paniermult extends PluginsClassiques{
		
	function Paniermult(){
		$this->PluginsClassiques();
	}
	
	/**
    Traiter les selections multiples ou non
        Cas 1 : produit sans déclinaison
        <input name="produitXXX" value="#REF"/>
        XXX est une valeur unique pour différencier les différentes selections

        Cas 2 : produitXXX avec déclinaisons
            XXX code unique pour une combinaison à ajouter au panier
        <input name="produitXXX[add]" value="ajouter"/>
            champ actif pour prendre en compte l'ajout de la combinaison produit XXX
        <input name="produitXXX[ref]" value="#REF" />
            champ indiquant la ref produit
        <input name="produitXXX[declinaison#DECLINAISON] value="#DECLIDISP" />
            Autant de fois à déclarer pour définir la combinaison des declinaison à affecter au produit
        <input name="produitXXX[quantite]" value="YYY" />         
            Ajouter YYY fois le produit XXX
    */
	function action(){
	    //N'agir que lorsqu'une requete d'ajout de produit est lancée
		if($_REQUEST['action'] == "ajouter") {
			foreach($_POST as $key => $value) {
			//ne considérer que les données commençant par produit
				if ((strstr($key, "produit") && $key != "produit") || (strstr($key, "ref") && $key != "ref") || (strstr($key, "accessoire") && $key != "accessoire") )  {
				    if (!is_array($value)) {
    					ajouter($value);
				    }
				    else {
				        if (isset($value['add']) && ($value['add'] == 'ajouter')) {
					//Connaitre la reference produit				            
					$ref = $value['ref'];				            
				        $i = 0;
                                        $perso = array();
				            //Extraire la combinaison des déclinaisons choisies
					foreach($value as $declinaison => $valeur) {
						if(strstr($declinaison, "declinaison") && ($declinaison != "declinaison")) {
						    $perso[$i] = new Perso();
						    $perso[$i]->declinaison = substr($declinaison,11);
						    $perso[$i]->valeur = $valeur;
						    $i++;
						}
				        }
				        // incrémenter dans le panier si l'option append est dans la chaine
					    if (isset($value['append'])) {
						$append = $value['append'];
					    }else{
						$append = 0;
					    }
					     //Determiner la quantité
				            $quantite = ((int)$value['quantite'] > 0) ? (int)$value['quantite'] : 1;
				            //Sauver la selection dans le panier si les données sont valides
				            if (isset($ref))
					$_SESSION['navig']->panier->ajouter($ref, $quantite, $perso, $append, $nouveau, null);
				
            			}
				    }
				}
			}
		}	
	}
}
?>
